%global pkgvers 1
%global scdate0 20200430
%global schash0 a277a1ac210b5020060360e74b6d6e027355af05
%global branch0 master
%global source0 https://github.com/srsran/srsGUI

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           srsgui
Version:        2.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Library for SDR using Qt and Qwt
License:        GPLv3

URL:            https://github.com/srsran/srsGUI

BuildRequires:  git cmake gcc-c++
BuildRequires:  pkgconf-pkg-config boost-devel qwt-qt5-devel

%undefine _hardened_build
%undefine _annotated_build
%global __cmake_in_source_build 1

%description
A free and open-source graphics library for SDR using Qt and Qwt.
The library provides a number of useful plots for graphing real and complex numbers.


%package devel
Summary: Development library of %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development %{name} library


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags -Wno-error=inline -Wno-error=stringop-overflow | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')

mkdir -p build
pushd build
%cmake .. -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DQWT_INCLUDE_DIR=/usr/include/qt5/qwt
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=%{buildroot}
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README.md
%license LICENSE
%{_libdir}/*.so

%files devel
%{_includedir}/*


%changelog
* Mon Aug 24 2020 Cristian Balint <cristian.balint@gmail.com>
- github update releases
